# ParticleFluidSettings(FluidSettings)

base classes — `bpy_struct`, `FluidSettings`

class `bpy.types.``ParticleFluidSettings`(FluidSettings)

  Fluid simulation settings for objects storing fluid particles generated by the simulation

  `alpha_influence`

    Amount of particle alpha change, inverse of size influence: 0=off (all same alpha), 1=full (larger particles get lower alphas, smaller ones higher values)

    Type: | float in [0, 2], default 0.0

  `filepath`

    Directory (and/or filename prefix) to store and load particles from

    Type: | string, default “”, (never None)

  `particle_influence`

    Amount of particle size scaling: 0=off (all same size), 1=full (range 0.2-2.0), >1=stronger

    Type: | float in [0, 2], default 0.0

  `show_tracer`

    Show tracer particles

    Type: | boolean, default False

  `use_drops`

    Show drop particles

    Type: | boolean, default False

  `use_floats`

    Show floating foam particles

    Type: | boolean, default False

Inherited Properties

`bpy_struct.id_data` | `FluidSettings.type`

Inherited Functions

`bpy_struct.as_pointer` `bpy_struct.driver_add` `bpy_struct.driver_remove` `bpy_struct.get` `bpy_struct.is_property_hidden` `bpy_struct.is_property_readonly` `bpy_struct.is_property_set` `bpy_struct.items` | `bpy_struct.keyframe_delete` `bpy_struct.keyframe_insert` `bpy_struct.keys` `bpy_struct.path_from_id` `bpy_struct.path_resolve` `bpy_struct.property_unset` `bpy_struct.type_recast` `bpy_struct.values`